Query blog post
GET https://{handle}.myshopline.com/admin/openapi/v20261201/store/blogs/:blog_collection_id/articles/count.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Blog number statistics
Path Parameters
- blog_collection_id string requiredblog collection idExample:
63a9a344609552261f00f23e
Query Parameters
- created_at_max stringShow blog created before this dateExample:
2022-08-03T10:45:00+08:00 - created_at_min stringShow blog created after this dateExample:
2022-08-03T10:45:00+08:00 - published_at_max stringShow blog posted before this dateExample:
2022-08-03T10:45:00+08:00 - published_at_min stringShow blog posted after this dateExample:
2022-08-03T10:45:00+08:00 - published_status stringLaunch status , value : any ( all ) ; published ( released ) ; unpublished ( not released )Example:
published - updated_at_max stringShow blog updated by this dateExample:
2022-08-03T10:45:00+08:00 - updated_at_min stringShow blog updated after this dateExample:
2022-08-03T10:45:00+08:00
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
- count longBlog number of filter conditionsExample:
20
API Explorer
Debugger
Examples
Was this article helpful to you?